## magnum-cluster-api 0.6.0

=== Makefile ===
clean:
	rm -rfv magnum_cluster_api/charts/cluster-autoscaler

vendor: clean
	helm repo add autoscaler https://kubernetes.github.io/autoscaler
	helm repo update
	helm fetch autoscaler/cluster-autoscaler --version 9.27.0 --untar --untardir magnum_cluster_api/charts
	patch -p0 magnum_cluster_api/charts/cluster-autoscaler/templates/clusterrole.yaml < hack/add-omt-to-clusterrole.patch

poetry:
	pipx install poetry

build: vendor poetry
	poetry build

install: build poetry
	poetry install

unit-tests: install poetry
	poetry run pytest magnum_cluster_api/tests/unit/

functional-tests: install poetry
	poetry run pytest magnum_cluster_api/tests/functional/

=== debian/changelog ===
magnum-cluster-api (0.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1038771)

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Jun 2023 23:31:34 +0200

=== debian/control ===
Source: magnum-cluster-api
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-certifi,
 python3-click,
 python3-magnum,
 python3-manilaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.log,
 python3-oslo.privsep,
 python3-oslo.service,
 python3-pykube-ng,
 python3-pyroute2,
 python3-pytest,
 python3-pytest-mock,
 python3-requests,
 python3-semver,
 python3-shortuuid,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-magnum-cluster-api
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-magnum-cluster-api.git
Homepage: https://github.com/vexxhost/magnum-cluster-api

Package: magnum-cluster-api
Architecture: all
Depends:
 python3-certifi,
 python3-click,
 python3-magnum,
 python3-manilaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.log,
 python3-oslo.privsep,
 python3-oslo.service,
 python3-pykube-ng,
 python3-pyroute2,
 python3-requests,
 python3-semver,
 python3-shortuuid,
 ${misc:Depends},
 ${python3:Depends},
Description: cluster API driver for Magnum
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 .
 This plugin for Magnum uses the Kube's cluster API for deploying.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/vexxhost/magnum-cluster-api
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS=magnum_cluster_api/tests/unit -v

PYBUILD_NAME=magnum_cluster_api

%:
	dh $@ --buildsystem=pybuild --with python3

## magnum-cluster-api 0.16.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 vendor: clean
 	helm repo add autoscaler https://kubernetes.github.io/autoscaler
 	helm repo update
-	helm fetch autoscaler/cluster-autoscaler --version 9.27.0 --untar --untardir magnum_cluster_api/charts
+	helm fetch autoscaler/cluster-autoscaler --version 9.29.1 --untar --untardir magnum_cluster_api/charts
 	patch -p0 magnum_cluster_api/charts/cluster-autoscaler/templates/clusterrole.yaml < hack/add-omt-to-clusterrole.patch
 
 poetry:

=== debian/changelog ===
magnum-cluster-api (0.16.0-2) unstable; urgency=medium

  * Relax upstream semver requirement to accept >= 3.0 (Closes: #1100240).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Mar 2025 14:19:41 +0100

magnum-cluster-api (0.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Skip test requiring helm.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 10:30:56 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,9 @@
 Build-Depends-Indep:
  python3-certifi,
  python3-click,
+ python3-diskcache (>= 5.6.1),
+ python3-haproxyadmin,
+ python3-kubernetes (>= 24.2.0),
  python3-magnum,
  python3-manilaclient,
  python3-oslo.concurrency,
@@ -22,12 +25,15 @@
  python3-oslo.log,
  python3-oslo.privsep,
  python3-oslo.service,
+ python3-oslotest,
+ python3-platformdirs,
  python3-pykube-ng,
  python3-pyroute2,
  python3-pytest,
  python3-pytest-mock,
  python3-requests,
  python3-semver,
+ python3-sherlock,
  python3-shortuuid,
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-magnum-cluster-api
@@ -39,6 +45,9 @@
 Depends:
  python3-certifi,
  python3-click,
+ python3-diskcache (>= 5.6.1),
+ python3-haproxyadmin,
+ python3-kubernetes (>= 24.2.0),
  python3-magnum,
  python3-manilaclient,
  python3-oslo.concurrency,
@@ -47,10 +56,12 @@
  python3-oslo.log,
  python3-oslo.privsep,
  python3-oslo.service,
+ python3-platformdirs,
  python3-pykube-ng,
  python3-pyroute2,
  python3-requests,
  python3-semver,
+ python3-sherlock,
  python3-shortuuid,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/vexxhost/magnum-cluster-api
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS=magnum_cluster_api/tests/unit -v -k "not test_create_cluster"
export PYBUILD_NAME=magnum_cluster_api

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/magnum-cluster-api/magnum-cluster-api-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
